%define name smeserver-manager-jsquery
%define version 1.0
%define release 5
Summary: Jsquery and associated plugins plus server-manager (2) specific overrides.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Source: %{name}-%{version}.tar.gz
License: GNU GPL version 2
Group: SMEserver/addon
Patch0: smeserver-manager-jsquery-1.0-Fix-css-override-for-dataTables.patch
Patch1: smeserver-manager-jsquery-1.0-Add-Export-Buttons-to-dataTable.patch
Patch2: smeserver-manager-jsquery-1.0-Add-Callback-in-dataTable-to-remake-buttons.patch
Patch3: smeserver-manager-jsquery-1.0-Update-from-SME11.patch

BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 10.0
AutoReqProv: no

%define dir_mngr /usr/share/smanager

%description
Jsquery and associated plugins plus server-manager (2) specific overrides.

%changelog
* Mon Dec 09 2024 Brian Read <brianr@koozali.org> 1.0-5.sme
- Update from SME11 [SME: ]

* Thu Feb 08 2024 Brian Read <brianr@koozali.org> 1.0-4.sme
- Add callback in dataTable to setup buttons in rows [SME: 12467]
- Move dataTable js to seperate file (maybe template it at some point)

* Wed Feb 07 2024 Brian Read <brianr@koozali.org> 1.0-3.sme
- Add export buttons to table using dataTables plugin [SME: 12466]

* Sun Feb 04 2024 Brian Read <brianr@koozali.org> 1.0-2.sme
- Fix-css-override-for-dataTables [SME: 12465]

* Mon Jan 29 2024 <brianr@koozali.org> 1.0-1.sme
- Initial code - create RPM [SME:12459]

%prep

%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
perl createlinks

%install
rm -rf RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
> %{name}-%{version}-filelist
#echo "%doc COPYING"  >> %{name}-%{version}-filelist
#--dir <dir> 'attr(755,user,grp)' \
#--file <file> 'attr(755,root,root)' \

%clean
cd ..
rm -rf %{name}-%{version}

%pre

%preun

%post
if [ -f /usr/share/javascript/jquery/latest/jquery.min.js ]
then
    [ -d %{dir_mngr}/themes/default/public/js ] ||
        mkdir -p %{dir_mngr}/themes/default/public/js

	[ -h %{dir_mngr}/themes/default/public/js/images ] ||
        ln -s /usr/share/javascript/jquery-ui/images %{dir_mngr}/themes/default/public/js/images


    [ -h %{dir_mngr}/themes/default/public/js/jquery.min.js ] ||
        ln -s /usr/share/javascript/jquery/latest/jquery.min.js %{dir_mngr}/themes/default/public/js/jquery.min.js
    [ -h %{dir_mngr}/themes/default/public/js/jquery.min.map ] ||
        ln -s /usr/share/javascript/jquery/latest/jquery.min.map %{dir_mngr}/themes/default/public/js/jquery.min.map
 
    [ -h %{dir_mngr}/themes/default/public/js/datatables.min.js ] ||
        ln -s /usr/share/javascript/datatables.min.js %{dir_mngr}/themes/default/public/js/datatables.min.js
    [ -h %{dir_mngr}/themes/default/public/js/datatables.min.css ] ||
        ln -s /usr/share/javascript/datatables.min.css %{dir_mngr}/themes/default/public/js/datatables.min.css
 
    [ -h %{dir_mngr}/themes/default/public/js/jquery-ui.min.js ] ||
        ln -s /usr/share/javascript/jquery-ui/jquery-ui.min.js %{dir_mngr}/themes/default/public/js/jquery-ui.min.js
    [ -h %{dir_mngr}/themes/default/public/js/jquery-ui.min.css ] ||
        ln -s /usr/share/javascript/jquery-ui/jquery-ui.min.css %{dir_mngr}/themes/default/public/js/jquery-ui.min.css

	[ -h %{dir_mngr}/themes/default/public/js/dataTables.buttons.min.js ] ||
	ln -s /usr/share/javascript/dataTables.buttons.min.js %{dir_mngr}/themes/default/public/js/dataTables.buttons.min.js

	[ -h %{dir_mngr}/themes/default/public/js/jszip.min.js ] ||
	ln -s /usr/share/javascript/jszip/jszip.min.js %{dir_mngr}/themes/default/public/js/jszip.min.js

	[ -h %{dir_mngr}/themes/default/public/js/pdfmake.min.js ] ||
	ln -s /usr/share/javascript/pdfmake/pdfmake.min.js %{dir_mngr}/themes/default/public/js/pdfmake.min.js

	[ -h %{dir_mngr}/themes/default/public/js/vfs_fonts.js ] ||
	ln -s /usr/share/javascript/pdfmake/vfs_fonts.js %{dir_mngr}/themes/default/public/js/vfs_fonts.js

	[ -h %{dir_mngr}/themes/default/public/js/buttons.html5.min.js ] ||
	ln -s /usr/share/javascript/buttons/buttons.html5.min.js %{dir_mngr}/themes/default/public/js/buttons.html5.min.js

	[ -h %{dir_mngr}/themes/default/public/js/buttons.print.min.js ] ||
	ln -s /usr/share/javascript/buttons/buttons.print.min.js %{dir_mngr}/themes/default/public/js/buttons.print.min.js
        
        
fi
true


%postun
#uninstall
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
